summarylogtreecommitdiffstats
path: root/zfs.install
diff options
context:
space:
mode:
Diffstat (limited to 'zfs.install')
-rw-r--r--zfs.install34
1 files changed, 34 insertions, 0 deletions
diff --git a/zfs.install b/zfs.install
new file mode 100644
index 000000000000..2041c6722567
--- /dev/null
+++ b/zfs.install
@@ -0,0 +1,34 @@
+post_install() {
+ check_initramfs
+}
+
+post_remove() {
+ check_initramfs 'remove'
+}
+
+post_upgrade() {
+ check_initramfs
+}
+
+check_initramfs() {
+ echo ">>> Updating module dependencies. Please wait ..."
+
+ _kernel_version_x32_full="3.14.45-1"
+ _kernel_version_x64_full="3.14.45-1"
+
+ [[ $CARCH == "i686" ]] && _kernel_version_full=${_kernel_version_x32_full} || _kernel_version_full=${_kernel_version_x64_full}
+
+ depmod ${_kernel_version_full}-lts
+
+ MK_CONF=$(grep -v '#' /etc/mkinitcpio.conf | grep zfs >/dev/null; echo $?);
+ if [[ $MK_CONF == '0' ]]; then
+ if [[ $1 == 'remove' ]]; then
+ echo '>>> The ZFS packages have been removed, but "zfs" remains in the "hooks"'
+ echo '>>> list in mkinitcpio.conf! You will need to remove "zfs" from the '
+ echo '>>> "hooks" list and then regenerate the initial ramdisk.'
+ else
+ echo ">>> Generating initial ramdisk, using mkinitcpio. Please wait..."
+ mkinitcpio -p linux
+ fi
+ fi
+}